### Callable

- access(path: PathLike, mode: number | undefined, callback: function): void
- access(path: PathLike, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:1656

  Asynchronously tests a user's permissions for the file specified by path.

  #### Parameters

  - ##### path: PathLike

    A path to a file or directory. If a URL is provided, it must use the `file:` protocol. URL support is experimental.

  - ##### mode: number | undefined

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:1663

  Asynchronously tests a user's permissions for the file specified by path.

  #### Parameters

  - ##### path: PathLike

    A path to a file or directory. If a URL is provided, it must use the `file:` protocol. URL support is experimental.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(path: PathLike, mode?: undefined | number): Promise<void>

- - Defined in node_modules/@types/node/fs.d.ts:1672

  Asynchronously tests a user's permissions for the file specified by path.

  #### Parameters

  - ##### path: PathLike

    A path to a file or directory. If a URL is provided, it must use the `file:` protocol. URL support is experimental.

  - ##### Optional mode: undefined | number

  #### Returns Promise<void>

Generated using TypeDoc